Skip to main content
PATCH
/
v1
/
tickets
/
mark-duplicate
Mark a ticket as duplicate
curl --request PATCH \
  --url https://platform.thena.ai/v1/tickets/mark-duplicate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "duplicateTicketId": "<string>",
  "duplicateOfTicketId": "<string>"
}
'
{
  "status": true,
  "message": "Success",
  "timestamp": "2024-01-01T00:00:00.000Z",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "ticketId": 123,
    "description": "<string>",
    "accountId": "<string>",
    "status": "<string>",
    "priority": "<string>",
    "account": "<string>",
    "teamId": "<string>",
    "teamName": "<string>",
    "isPrivate": true,
    "typeId": "<string>",
    "type": "<string>",
    "assignedAgent": "<string>",
    "assignedAgentId": "<string>",
    "requestorEmail": "<string>",
    "submitterEmail": "<string>",
    "customFieldValues": [
      "<string>"
    ],
    "deletedAt": "<string>",
    "archivedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter the bearer token

Body

application/json
duplicateTicketId
string
required

The ID of the ticket to mark as duplicate

duplicateOfTicketId
string
required

The ID of the ticket that is being duplicated

Response

Operation successful

status
boolean
default:true
required

The status of the response

message
string
default:Success
required

The message of the response

timestamp
string<date-time>
default:2024-01-01T00:00:00.000Z
required

The timestamp of the response

data
object
required

The response for create/update/delete ticket operations